<div ng-include = "'html/navbarManagers.html'"></div>

<div class = "container" style = "margin-top:100px">
   <h1>Stolovi</h1>
    <table class="table table-bordered">
        <tr ng-repeat = "row in tabelMap">
        <td ng-repeat = "col in row" data-toggle="modal" data-target="#modal" ng-click = "setCurrentCell(col)"> <span >S:{{col.id.tbId}}, M:{{col.tbSeats}}</span></td>
        </tr>
    </table>



<div id="modal" class="modal fade" role="dialog" ng-if = "tabelState === 'undefined'">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Sto</h4>
            </div>
          
            <div class="modal-body">
                <table  class="table table-bordered">
                     <tr>
                         <th>Oznaka</th>
                         <td><input type="text"  placeholder="Oznaka" class="form-control" ng-model="currentCell.id.tbId" required/></td>
                         <th>Broj stolica</th>
                         <td><input type="text"  placeholder="Broj mesta" class="form-control" ng-model="currentCell.tbSeats" required/></td>
                     </tr>
                </table>
              </div>
              <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal" ng-click = "editTableCell()">Potvrdi</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal" ng-click = "cancelTableEdit();">Poništi</button>
              </div>
        </div>
    </div>
</div>
<div class = "alert alert-danger" ng-if = "!tableInputValid"><strong>GREŠKA! {{errMessage}}</strong></div>
<div style="text-align:right">
    <button type="button" class="btn btn-primary" ng-if = "tabelState === 'undefined'" ng-click = "addTabels();">Potvrdi</button>
</div>
<br/>

<div class = "alert alert-warning" ng-if = "tabelState === 'undefined'"><strong>UPOZORENJE!</strong> Pazite kako dodajete stolove, dodaju se samo jedanput!</div>
</div>